org.bouncycastle.sasn1

## Class DerObject

- java.lang.Object
- - org.bouncycastle.sasn1.Asn1Object
  - - org.bouncycastle.sasn1.DerObject

Direct Known Subclasses:
  Asn1Integer, Asn1ObjectIdentifier, DerOctetString, DerSequence, DerSet

Deprecated.
use corresponsding classes in org.bouncycastle.asn1.

    public class DerObject
    extends Asn1Object

### Field Summary

### Fields inherited from class org.bouncycastle.sasn1.Asn1Object

`_baseTag, _contentStream, _tagNumber`

### Method Summary

Methods
`byte[]` `getEncoded()` Deprecated.
`java.io.InputStream` `getRawContentStream()` Deprecated. Return an input stream representing the content bytes of the object.
`int` `getTagNumber()` Deprecated. Return the tag number for this object.

### Methods inherited from class org.bouncycastle.sasn1.Asn1Object

`isConstructed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTagNumber

    public int getTagNumber()

Deprecated.
Description copied from class: `Asn1Object`
Return the tag number for this object.

Overrides:
  `getTagNumber` in class `Asn1Object`
Returns:
  the tag number.

#### getRawContentStream

    public java.io.InputStream getRawContentStream()

Deprecated.
Description copied from class: `Asn1Object`
Return an input stream representing the content bytes of the object.

Overrides:
  `getRawContentStream` in class `Asn1Object`
Returns:
  content stream.

#### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`